View Issue Details

IDProjectCategoryView StatusLast Update
0000504XMB1Bugspublic2018-01-18 06:09
ReportermiqrogrooveAssigned Tomiqrogroove 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.9.8 SP2 
Target Version1.9.11.15Fixed in Version1.9.11.15 
Summary0000504: XMB Incompatible with PHP 7 Database Extensions
DescriptionThe mysql extension for PHP no longer exists as of version 7.0, making all versions of XMB totally incompatible.
Additional Informationsee http://php.net/manual/en/mysql.php
TagsNo tags attached.
MySQL Version
PHP Version7.0
Web Server
Browser
Flags
Original Reporter
SVN Revision2729

Activities

Xian

2017-09-16 20:53

reporter   ~0000335

New mysqli.php file for PHP 7

Included in XMB 1.9.12.4.BETA

mysqli.php (13,277 bytes)

miqrogroove

2017-12-20 11:03

administrator   ~0000339

This bug will target patch level 15. The changes in 14 were version-dependent, which would not help people using versions older than 7.0.

miqrogroove

2017-12-26 07:16

administrator   ~0000366

Trunk version now has a proper MySQLi driver that is always used when available, in any PHP version.

Issue History

Date Modified Username Field Change
2017-03-15 19:36 miqrogroove New Issue
2017-09-16 20:53 Xian File Added: mysqli.php
2017-09-16 20:53 Xian Note Added: 0000335
2017-12-20 08:16 miqrogroove Target Version => 1.9.11.14
2017-12-20 11:03 miqrogroove Status new => confirmed
2017-12-20 11:03 miqrogroove Target Version 1.9.11.14 => 1.9.11.15
2017-12-20 11:03 miqrogroove Note Added: 0000339
2017-12-25 05:49 miqrogroove Assigned To => miqrogroove
2017-12-25 05:49 miqrogroove Status confirmed => assigned
2017-12-25 05:49 miqrogroove Priority low => normal
2017-12-26 07:16 miqrogroove Status assigned => resolved
2017-12-26 07:16 miqrogroove Resolution open => fixed
2017-12-26 07:16 miqrogroove Fixed in Version => 1.9.11.15
2017-12-26 07:16 miqrogroove SVN Revision => 2729
2017-12-26 07:16 miqrogroove Note Added: 0000366
2018-01-18 06:09 miqrogroove Status resolved => closed